Viewing Issue Advanced Details
ID Category [?] Severity [?] Reproducibility Date Submitted Last Update
02650 DIP/Input Trivial Always Nov 15, 2008, 17:44 23 days ago
Tester smoke4659 View Status Public Platform MAME (Official Binary)
Assigned To Resolution Reopened OS
Status [?] Confirmed Driver mcr.cpp
Version 0.128u3 Fixed in Version Build Normal
Summary 02650: journey: 8 way joystick input broken
Description Player can no longer move 8 way; only allows 4 way movements
Steps To Reproduce
Additional Information Smitdogg:
In .127u1, Journey was changed to use a 4-way controller based on something someone read in the manual about it using a 4-way controller. Well, it did use a 4-way controller of sorts, but it accepted 8-way movements (diagonals). The original controller used a 4-way (diamond) restriction plate that coaxed movements more heavily toward up, down, left, and right, but if you forced it against the walls in the diagonals, you could also move those directions. I made a video with my phone showing that the original cab uses a 4-way controller (you can see where it notches into 4 places as I swirl it around) that also allows for diagonals (in-game I move diagonally several times).

http://smitdogg.mameworld.info/video/journey.3g2
Flags Verified with Original
Regression Version 0.127u1
Affected Sets / Systems journey
Attached Files
png file icon journeyupright.png (354,038 bytes) Nov 15, 2008, 20:45
png file icon journeycocktail.png (373,317 bytes) Nov 15, 2008, 20:45
Relationships
There are no relationship linked to this issue.
Notes
16
User avatar
No.03051
Tafoid
Administrator
Nov 15, 2008, 20:44
edited on: Nov 15, 2008, 20:47
I don't think this is a bug.

From 0.127u1:
Changed Journey and Domino Man to 4-way joysticks. [John Rieman]

I'm pretty convinced this is a change to be more accurate to the arcade.
If you look for control panels for many games of that era - 4-Way direction games often had arrows pointing in the 4 directions on the control panel - denoting that it was, in fact, 4-way joystick movement. (dig dug, pacman, donkey kong, qbert (diagonally)). 2-Way was no different in illustrating the limit in movement. (galaga, joust 2, space Invaders). Even the 8-way had signification on control panels. (Gauntlet, Narc and even Crazy Climber - where each stick showed 8 arrows)

Journey had a 4-Way Joystick and showed 4 arrows on both the upright and cocktail control panels (cocktail photo from Journey manual).

This control panel denotation doesn't show hardly at all in more modern control panels with the universal nature of the Jamma setup - control panels were kept, in comparison, quite generic.

Also, if you try 0.127, which had 8-Way direction - try Steve Perry's Stage (bottom left). If the game was indeed made for 8-Way, you'd be able to walk diagonally. I don't believe, even if the selection screen allows the ship to slide diagonally - it would have been programmed with the appropriate sprite signifying that you are indeed traveling diagonally.

I'll leave this as confirmed until some Devs and chime in to support or shoot down these assumptions.
User avatar
No.03052
smoke4659
Tester
Nov 15, 2008, 21:20
I hadn't seen the Change Log for 127u1. My bad.

Well, what's interesting is that even the MAME history file specifies that the game uses an eight way joystick.

The game is now pretty much unplayable as a four way. For example, the Jonathan Cain sequence (piano) - once you acquired the piano, you were able to move in diagonals to avoid the pink targets surrounding you.

Even the Ross Valory sequence (bass guitar) - you could move in diagonals once you acquired the bass and ran toward the finish line.
User avatar
No.03328
Smitdogg
Moderator
Dec 19, 2008, 04:39
Is there proof that this used a 4-way besides guesses?
User avatar
No.03329
Tafoid
Administrator
Dec 19, 2008, 05:09
I'm not sure if it would have even been accepted as a change to baseline sources there were not strong evidence supporting the changes. AFAIK, all changes such of this are critiqued by the entire MAMEDEV list before added.
User avatar
No.03363
smoke4659
Tester
Dec 23, 2008, 01:14
Other than the fact that eight way movements for this game have been supported since it's inclusion in MAME, and the MAME history file specifying an eight way joystick, and the KLOV website also verifying the eight way joystick, I have no real proof, other than finding a real machine. My memory of whether the actual game supported eight way is hazy at best, but after playing the emulated version for a number of years, I've grown accustomed to the eight way movements, which are only available during the beginning selection screen, piano, and bass guitar screens.

Not sure how the inner working of game code works, but if only four way movement were allowed in any game, how would it be possible to obtain eight way movements if the game shouldn't allow it?

Thanks for taking the time to listen, whether I'm right or wrong on this.
User avatar
No.03364
Haze
Senior Tester
Dec 23, 2008, 10:39
"I'm not sure if it would have even been accepted as a change to baseline sources there were not strong evidence supporting the changes. AFAIK, all changes such of this are critiqued by the entire MAMEDEV list before added."

not really, I can't even remember seeing this one forwarded myself, so I doubt there were any comments on it...

I have in the past generally kept an eye out for such things and it sounds like the supportive evidence for this one is sketchy at best.
User avatar
No.03371
Smitdogg
Moderator
Dec 23, 2008, 18:44
@ smoke4659, I'm in the same boat as you. I was wondering if there is proof that it used a 4-way, proof to justify the recent change.

But FWIW I'm pretty sure history.dat pulled the info from an older MAME version and KLOV is generally not to be trusted.
User avatar
No.03372
Tafoid
Administrator
Dec 23, 2008, 18:54
The rational for the 4-way joystick makes sense to me, anyway, looking at the control panels and seeing how the game reacts with 4 vs. 8 way. All the comments I posted above are mine alone - and pre-suppose that whomever submitted the change had done similar research.

We need to get someone who owns a dedicated cab to put this to rest for sure.
I'll label it possible then - pending pcb/dedicated cab examination.
User avatar
No.03473
aaron
Developer
Jan 2, 2009, 04:50
edited on: Jan 2, 2009, 04:51
Proof comes from the manual, which clearly shows a 4-way joystick in the parts section. I have some queries out to folks with original games to find out what they actually shipped. Obviously, the game can work with an 8-way (and it makes a difference on some level), but if the original games shipped 4-way, we should mark it as such.
User avatar
No.05364
smoke4659
Tester
Jan 2, 2010, 17:59
edited on: Jan 2, 2010, 18:00
Happy New Year everyone!

I have finally come across an authentic Journey arcade machine and have uploaded a short film to prove that I was.... WRONG! (dammit!)

http://s6.photobucket.com/albums/y221/Nanners74/?action=view&current=journeyarcade.flv

The joystick is four way, and it is constricted to four way, meaning it is not possible to move the joystick diagonally, much like the Donkey Kong joystick, just that the throw is not as long.

Also, don't know if this qualifies as a bug or not or if it has been mentioned here before or not, but the circle enemies on Jonathan Cain's screen are a different color on the actual arcade machine. MAME shows them as pink and the arcade has them as a blueish/gray color. Sorry the video doesn't show it very well, but hopefully the idea is there.

Sorry for jumping the gun on this one!
User avatar
No.05367
Tafoid
Administrator
Jan 2, 2010, 19:55
Closing this issue out.

Regarding the pink circle enemies when attempting to exit the screen on the Jonathan Cain screen - it appears to be an issue.
User avatar
No.06268
Tafoid
Administrator
Jun 21, 2010, 02:50
edited on: Jun 21, 2010, 03:11
I'm reopening this due to Smitdogg's video evidence of actual cabinet allowing 8 directions. As far as verified with original, it is, but I'm leaving it up to discussion. Restriction plates on joysticks are there for a reason, I'd think.
User avatar
No.06269
Smitdogg
Moderator
Jun 21, 2010, 13:05
The restriction plate gives it a custom feel and coaxes you toward the more important overall moves (and the only ones period on many stages). They wouldn't have programmed diagonals into the game if they weren't to be used. I used to beat this game 3-4 times over per quarter as a kid and that would not have been possible without diagonals on the piano stage. It's probably the same situation for Domino Man but I never saw that cabinet.
User avatar
No.06271
AWJ
Developer
Jun 21, 2010, 14:09
Many games will respond to inputs that aren't supposed to be allowed by the hardware--sometimes in amusing ways. Try playing some 8-bit and 16-bit console games with a worn-out gamepad that lets you press opposing directions simultaneously.

The fact that you can only move diagonally in some of the stages, and that the select screen cursor doesn't point in the direction of movement when you move it diagonally, strongly suggest that diagonal movements are an accident and not something deliberately "programmed into the game".
User avatar
No.06276
Smitdogg
Moderator
Jun 21, 2010, 21:35
It isn't just that one cab that behaves this way. I can assure you I wouldn't have been able to finish the game a few times over as a kid without diagonals. Paranoia is going to ruin this game for future generations and it is absolutely ridiculous. Restored cabs set with 4-ways that aren't original sometimes won't allow 8-way movements and this is making the argument even harder. That is most likely because they being restored using microswitches instead of the original metal leafs which allowed 2 of the 4 directions to be activated at once. Moving glitch-free diagonally in the game is in no way comparable to a console game with a broken controller going haywire. Joe Magiera also owns a Journey cab that appears to have all original parts and gets 8 directions on it as well. Also the select screen cursor absolutely does move in diagonals - that other Journey cab movie posted by smoke is obviously from a machine restored incorrectly. I show diagonal movements on the stage selection screen in my movie.
User avatar
No.15807
MetalGod
Tester
23 days ago
edited on: 23 days ago
I wish we could choose between an 8-way and a 4-way joystick version of the game in mame.
It would make sense considering some versions had a restriction plate and others didn't

In the video I'm sharing now it seems to work 8-way:
2:30, I don't know how a 4-way joystick moves... but that one looks 8-way doing diagonals.
11:07, That's definitely a diagonal